Index: EcnlProtoTool/trunk/asp3_dcre/tinet/netapp/tinet_wwws.cfg
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tinet/netapp/tinet_wwws.cfg	(revision 321)
+++ EcnlProtoTool/trunk/asp3_dcre/tinet/netapp/tinet_wwws.cfg	(revision 331)
@@ -2,5 +2,5 @@
  *  TINET (TCP/IP Protocol Stack)
  * 
- *  Copyright (C) 2001-2009 by Dep. of Computer Science and Engineering
+ *  Copyright (C) 2001-2017 by Dep. of Computer Science and Engineering
  *                   Tomakomai National College of Technology, JAPAN
  *
@@ -34,13 +34,43 @@
 /*
  *  WWW サーバの TCP/IP コンフィギュレーションファイル
+ *
+ *    SUPPORT_INET6
+ *    SUPPORT_INET4
+ *    USE_TCP_NON_BLOCKING: OFF
+ *    USE_TCP_EXTENTIONS:   OFF
+ *    TCP 受付口
+ *    TCP 通信端点
+ * 
  */
 
-#ifdef USE_WWW_SRV
-
-#ifndef USE_TCP_EXTENTIONS
-
-/* TCP 受付口 */
-
-#ifdef SUPPORT_INET4
+#if defined(USE_WWW_SRV)
+
+/*
+ * TCP 受付口
+ */
+
+#if defined(USE_TCP_EXTENTIONS)
+
+#else	/* of #if defined(USE_TCP_EXTENTIONS) */
+
+#if defined(SUPPORT_INET6)
+
+TCP6_CRE_REP (WWW_SRV_REPID, {
+	0,
+	{ IPV6_ADDRANY, 80 }
+	} );
+
+#if defined(SUPPORT_INET4) && defined(USE_WWW4_SRV)
+
+TCP_CRE_REP (WWW4_SRV_REPID, {
+	0,
+	{ IPV4_ADDRANY, 80 }
+	} );
+
+#endif	/* of #if defined(SUPPORT_INET4) && defined(USE_WWW4_SRV) */
+
+#else	/* of #if defined(SUPPORT_INET6 */
+
+#if defined(SUPPORT_INET4)
 
 TCP_CRE_REP (WWW_SRV_REPID, {
@@ -49,18 +79,266 @@
 	} );
 
-#endif	/* of #ifdef SUPPORT_INET4 */
-
-#ifdef SUPPORT_INET6
-
-TCP6_CRE_REP (WWW_SRV_REPID, {
-	0,
-	{ IPV6_ADDRANY, 80 }
-	} );
-
-#endif	/* of #ifdef SUPPORT_INET6 */
-
-/* TCP 通信端点 */
-
-#ifdef SUPPORT_INET4
+#endif	/* of #if defined(SUPPORT_INET4 */
+
+#endif	/* of #if defined(SUPPORT_INET6 */
+
+#endif	/* of #if defined(USE_TCP_EXTENTIONS */
+
+/*
+ * TCP 通信端点
+ *
+ * 定義する TCP 通信端点（WWW?_CEPID1）の選択
+ *
+ *   INET6 INET4 USE_TCP4  TCP6_CRE_CEP TCP_CRE_CEP
+ *     ○    ○     ○          ×         WWW4
+ *     ○    ○     ×          WWW        ×
+ *     ○    ×     ○          WWW        ×
+ *     ○    ×     ×          WWW        ×
+ *     ×    ○     ○          ×         WWW
+ *     ×    ○     ×          ×         WWW
+ *     ×    ×     ○          ×         ×
+ *     ×    ×     ×          ×         ×
+ *
+ */
+
+#if defined(USE_TCP_EXTENTIONS)
+
+#else	/* of #if defined(USE_TCP_EXTENTIONS */
+
+#if defined(SUPPORT_INET6)
+
+#if defined(SUPPORT_INET4)
+
+#if defined(USE_WWW4_SRV)
+
+#if defined(TCP_CFG_SWBUF_CSAVE)
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP_CRE_CEP (WWW4_SRV_CEPID1, {
+	0,
+	NADR,
+	WWW_SRV_SWBUF_SIZE,
+	NADR,
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP_CRE_CEP (WWW4_SRV_CEPID1, {
+	0,
+	NADR,
+	WWW_SRV_SWBUF_SIZE,
+	www_srv_rwbuf[0],
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP_CRE_CEP (WWW4_SRV_CEPID1, {
+	0,
+	www_srv_swbuf[0],
+	WWW_SRV_SWBUF_SIZE,
+	NADR,
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP_CRE_CEP (WWW4_SRV_CEPID1, {
+	0,
+	www_srv_swbuf[0],
+	WWW_SRV_SWBUF_SIZE,
+	www_srv_rwbuf[0],
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#endif	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#else	/* of #if defined(USE_WWW4_SRV) */
+
+#if defined(TCP_CFG_SWBUF_CSAVE)
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP6_CRE_CEP (WWW_SRV_CEPID1, {
+	0,
+	NADR,
+	WWW_SRV_SWBUF_SIZE,
+	NADR,
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP6_CRE_CEP (WWW_SRV_CEPID1, {
+	0,
+	NADR,
+	WWW_SRV_SWBUF_SIZE,
+	www_srv_rwbuf[0],
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP6_CRE_CEP (WWW_SRV_CEPID1, {
+	0,
+	www_srv_swbuf[0],
+	WWW_SRV_SWBUF_SIZE,
+	NADR,
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP6_CRE_CEP (WWW_SRV_CEPID1, {
+	0,
+	www_srv_swbuf[0],
+	WWW_SRV_SWBUF_SIZE,
+	www_srv_rwbuf[0],
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#endif	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#endif	/* of #if defined(USE_WWW4_SRV) */
+
+#else	/* of #if defined(SUPPORT_INET4 */
+
+#if defined(TCP_CFG_SWBUF_CSAVE)
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP6_CRE_CEP (WWW_SRV_CEPID1, {
+	0,
+	NADR,
+	WWW_SRV_SWBUF_SIZE,
+	NADR,
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP6_CRE_CEP (WWW_SRV_CEPID1, {
+	0,
+	NADR,
+	WWW_SRV_SWBUF_SIZE,
+	www_srv_rwbuf[0],
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP6_CRE_CEP (WWW_SRV_CEPID1, {
+	0,
+	www_srv_swbuf[0],
+	WWW_SRV_SWBUF_SIZE,
+	NADR,
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP6_CRE_CEP (WWW_SRV_CEPID1, {
+	0,
+	www_srv_swbuf[0],
+	WWW_SRV_SWBUF_SIZE,
+	www_srv_rwbuf[0],
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#endif	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#endif	/* of #if defined(SUPPORT_INET4 */
+
+#if NUM_WWW_SRV_TASKS >= 2
+
+#if defined(TCP_CFG_SWBUF_CSAVE)
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP6_CRE_CEP (WWW_SRV_CEPID2, {
+	0,
+	NADR,
+	WWW_SRV_SWBUF_SIZE,
+	NADR,
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP6_CRE_CEP (WWW_SRV_CEPID2, {
+	0,
+	NADR,
+	WWW_SRV_SWBUF_SIZE,
+	www_srv_rwbuf[1],
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#if defined(TCP_CFG_RWBUF_CSAVE)
+
+TCP6_CRE_CEP (WWW_SRV_CEPID2, {
+	0,
+	www_srv_swbuf[1],
+	WWW_SRV_SWBUF_SIZE,
+	NADR,
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+TCP6_CRE_CEP (WWW_SRV_CEPID2, {
+	0,
+	www_srv_swbuf[1],
+	WWW_SRV_SWBUF_SIZE,
+	www_srv_rwbuf[1],
+	WWW_SRV_RWBUF_SIZE,
+	NULL
+	} );
+
+#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
+
+#endif	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
+
+#endif	/* of #if NUM_WWW_SRV_TASKS >= 2 */
+
+#elif defined(SUPPORT_INET4)	/* of #if defined(SUPPORT_INET6) */
 
 #if defined(TCP_CFG_SWBUF_CSAVE)
@@ -176,123 +454,7 @@
 #endif	/* of #if NUM_WWW_SRV_TASKS >= 2 */
 
-#endif	/* of #ifdef SUPPORT_INET4 */
-
-#ifdef SUPPORT_INET6
-
-#if defined(TCP_CFG_SWBUF_CSAVE)
-
-#if defined(TCP_CFG_RWBUF_CSAVE)
-
-TCP6_CRE_CEP (WWW_SRV_CEPID1, {
-	0,
-	NADR,
-	WWW_SRV_SWBUF_SIZE,
-	NADR,
-	WWW_SRV_RWBUF_SIZE,
-	NULL
-	} );
-
-#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-TCP6_CRE_CEP (WWW_SRV_CEPID1, {
-	0,
-	NADR,
-	WWW_SRV_SWBUF_SIZE,
-	www_srv_rwbuf[0],
-	WWW_SRV_RWBUF_SIZE,
-	NULL
-	} );
-
-#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
-
-#if defined(TCP_CFG_RWBUF_CSAVE)
-
-TCP6_CRE_CEP (WWW_SRV_CEPID1, {
-	0,
-	www_srv_swbuf[0],
-	WWW_SRV_SWBUF_SIZE,
-	NADR,
-	WWW_SRV_RWBUF_SIZE,
-	NULL
-	} );
-
-#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-TCP6_CRE_CEP (WWW_SRV_CEPID1, {
-	0,
-	www_srv_swbuf[0],
-	WWW_SRV_SWBUF_SIZE,
-	www_srv_rwbuf[0],
-	WWW_SRV_RWBUF_SIZE,
-	NULL
-	} );
-
-#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-#endif	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
-
-#if NUM_WWW_SRV_TASKS >= 2
-
-#if defined(TCP_CFG_SWBUF_CSAVE)
-
-#if defined(TCP_CFG_RWBUF_CSAVE)
-
-TCP6_CRE_CEP (WWW_SRV_CEPID2, {
-	0,
-	NADR,
-	WWW_SRV_SWBUF_SIZE,
-	NADR,
-	WWW_SRV_RWBUF_SIZE,
-	NULL
-	} );
-
-#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-TCP6_CRE_CEP (WWW_SRV_CEPID2, {
-	0,
-	NADR,
-	WWW_SRV_SWBUF_SIZE,
-	www_srv_rwbuf[1],
-	WWW_SRV_RWBUF_SIZE,
-	NULL
-	} );
-
-#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-#else	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
-
-#if defined(TCP_CFG_RWBUF_CSAVE)
-
-TCP6_CRE_CEP (WWW_SRV_CEPID2, {
-	0,
-	www_srv_swbuf[1],
-	WWW_SRV_SWBUF_SIZE,
-	NADR,
-	WWW_SRV_RWBUF_SIZE,
-	NULL
-	} );
-
-#else	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-TCP6_CRE_CEP (WWW_SRV_CEPID2, {
-	0,
-	www_srv_swbuf[1],
-	WWW_SRV_SWBUF_SIZE,
-	www_srv_rwbuf[1],
-	WWW_SRV_RWBUF_SIZE,
-	NULL
-	} );
-
-#endif	/* of #if defined(TCP_CFG_RWBUF_CSAVE) */
-
-#endif	/* of #if defined(TCP_CFG_SWBUF_CSAVE) */
-
-#endif	/* of #if NUM_WWW_SRV_TASKS >= 2 */
-
-#endif	/* of #ifdef SUPPORT_INET6 */
-
-#endif	/* of #ifndef USE_TCP_EXTENTIONS */
-
-#endif	/* of #ifdef USE_WWW_SRV */
+#endif	/* of #if defined(SUPPORT_INET6) */
+
+#endif	/* of #if defined(USE_TCP_EXTENTIONS) */
+
+#endif	/* of #if defined(USE_WWW_SRV) */
